Risultati da 1 a 9 di 9

Discussione: Aiuto Macro

  1. #1
    Utente Standard
    Iscritto dal
    2007
    Messaggi
    209
    Professione
    Concretizzare i sogni degli architetti
    Regione
    Una alla volta tutte
    Software
    Basta che raggiunga l'obiettivo

    Predefinito Aiuto Macro

    Cercando tra le varie discussioni non ho trovato niente che facesse al mio caso e rubacchiando una stringa già esistente ho creato la Proprietà Pippo con valore Pluto:

    Sub main()

    Set swApp = _
    Application.SldWorks

    Set Part = swApp.ActiveDoc
    Part.FileSummaryInfo
    retval = Part.AddCustomInfo3(ConfigName, "Pippo", swCustomInfoText, _
    " Pluto ") 'Add latest values
    End Sub

    Visto che in VB sono una capra, come faccio a scrivere questa Proprietà nella scheda Specifica di configurazione anzichè Personalizzato?
    Grazie.
    http://www.aureaprogetti.com

    È certo che un uomo può fare ciò che vuole, ma non può volere ciò che fa.
    Arthur Schopenhauer

  2. #2
    Moderatore Solidworks L'avatar di re_solidworks
    Iscritto dal
    2007
    Messaggi
    3919
    Professione
    Progettista
    Regione
    Veneto
    Software
    Swx2016-R2W2016-Power Surfacing 2.1-Creo 2.0- PDSU 2016 - Composer 2016

    Predefinito

    Citazione Originariamente Scritto da geppetto Visualizza Messaggio
    Cercando tra le varie discussioni non ho trovato niente che facesse al mio caso e rubacchiando una stringa già esistente ho creato la Proprietà Pippo con valore Pluto:

    Sub main()

    Set swApp = _
    Application.SldWorks

    Set Part = swApp.ActiveDoc
    Part.FileSummaryInfo
    retval = Part.AddCustomInfo3(ConfigName, "Pippo", swCustomInfoText, _
    " Pluto ") 'Add latest values
    End Sub

    Visto che in VB sono una capra, come faccio a scrivere questa Proprietà nella scheda Specifica di configurazione anzichè Personalizzato?
    Grazie.
    Anch'io con la programmazione sono una capra, ma non faresti prima a registrare questa macro dall'area grafica?
    Oppure utilizzare task skeduler o tab builder?

  3. #3
    Utente Standard
    Iscritto dal
    2007
    Messaggi
    209
    Professione
    Concretizzare i sogni degli architetti
    Regione
    Una alla volta tutte
    Software
    Basta che raggiunga l'obiettivo

    Predefinito

    Magari si potesse. Come ben saprai (a meno che non sia solo un magheggio nei miei confronti) SW non registra tutte le macro. Quelle di accesso alle proprietà è uno dei casi in cui non si può. Tab builder e Tasc scheduler risulterebbero poco pratici nel mio caso. Anche perchè la capra, vorrebbe succesivamente anche introdurre "If, Else, Ekse If". Queste ultime credo di sapere come si fa.
    http://www.aureaprogetti.com

    È certo che un uomo può fare ciò che vuole, ma non può volere ciò che fa.
    Arthur Schopenhauer

  4. #4
    Utente Junior L'avatar di flfn
    Iscritto dal
    2008
    Messaggi
    87
    Professione
    progettista
    Regione
    veneto
    Software
    Solid Works-Ready Works-Rhinoceros-Mastercam

    Predefinito

    Ecco la macro modificata per scrivere nella configurazione attiva

    -----------------------
    Option Explicit


    Public Enum swCustomInfoType_e

    swCustomInfoText = 30

    End Enum



    Dim swApp As SldWorks.SldWorks

    Dim swModel As SldWorks.ModelDoc2

    Dim swConfigMgr As SldWorks.ConfigurationManager

    Dim swConfig As SldWorks.Configuration

    Dim swCustPropMgr As SldWorks.CustomPropertyManager

    Dim retVal As Long




    Sub main()

    Set swApp = Application.SldWorks

    Set swModel = swApp.ActiveDoc

    Set swConfigMgr = swModel.ConfigurationManager

    Set swConfig = swConfigMgr.ActiveConfiguration

    Set swCustPropMgr = swConfig.CustomPropertyManager

    swModel.FileSummaryInfo

    ' Add custom property date to this configuration

    retVal = swCustPropMgr.Add2("Pippo ", swCustomInfoText, "Pluto")


    End Sub
    ------------------------

    Saluti

    flfn

  5. #5
    Utente Standard
    Iscritto dal
    2007
    Messaggi
    209
    Professione
    Concretizzare i sogni degli architetti
    Regione
    Una alla volta tutte
    Software
    Basta che raggiunga l'obiettivo

    Predefinito Grazieeeeeeeeeeeeeeeeeeee

    Grazie, non ci speravo più...
    La capra non vorrebbe approfittare della tua generosità, ma come faccio ad ovviare all'errore di richiamo proprietà?
    Provo a spiegarmi, la tua soluzione è perfetta ma se anzichè Pluto io volessi una Proprietà riferita al modello (es.: "SW-SurfaceArea@@Default@Part2.SLDPRT"), il raddoppio di virgolette in VB mi da errore.
    Anche se non potessi rispondere a questa, grazie infinitamente per quello che hai già fatto.
    Geppetto
    http://www.aureaprogetti.com

    È certo che un uomo può fare ciò che vuole, ma non può volere ciò che fa.
    Arthur Schopenhauer

  6. #6
    Utente Junior L'avatar di flfn
    Iscritto dal
    2008
    Messaggi
    87
    Professione
    progettista
    Regione
    veneto
    Software
    Solid Works-Ready Works-Rhinoceros-Mastercam

    Predefinito

    Salve, geppetto
    In riguardo alla tua seconda domanda, bisogna modificare la macro in modo che si prenda il nome del file e della configurazione attiva, e compili la sua definizione. Se hai più configurazione si puo fare in modo che le compili tutte in automatico, sul tutorial Api ci sono degli esempi.

    non so quando posso dedicarci del tempo per fartelo .......

    Saluti
    Flfn

  7. #7
    Utente Standard
    Iscritto dal
    2007
    Messaggi
    209
    Professione
    Concretizzare i sogni degli architetti
    Regione
    Una alla volta tutte
    Software
    Basta che raggiunga l'obiettivo

    Predefinito

    Intanto grazie ancora per quello che hai fatto.
    Personalmente dovrei modificare solo la configurazione attiva ed io in quella benedetta guida Api (tutta in inglese) non sono stato in grado di trovare niente in merito. Ho chiesto anche all'assistenza SW se fosse disponibile una guida in italiano ma sembra che si faccia prima ad imparare l'inglese. Comunque proverò ancora a vedere se riesco con qualche parola di ricerca a trovare la soluzione.
    Grazie di nuovo
    http://www.aureaprogetti.com

    È certo che un uomo può fare ciò che vuole, ma non può volere ciò che fa.
    Arthur Schopenhauer

  8. #8
    Moderatore Solidworks L'avatar di re_solidworks
    Iscritto dal
    2007
    Messaggi
    3919
    Professione
    Progettista
    Regione
    Veneto
    Software
    Swx2016-R2W2016-Power Surfacing 2.1-Creo 2.0- PDSU 2016 - Composer 2016

    Predefinito

    Citazione Originariamente Scritto da flfn Visualizza Messaggio
    Ecco la macro modificata per scrivere nella configurazione attiva

    -----------------------
    Option Explicit


    Public Enum swCustomInfoType_e

    swCustomInfoText = 30

    End Enum



    Dim swApp As SldWorks.SldWorks

    Dim swModel As SldWorks.ModelDoc2

    Dim swConfigMgr As SldWorks.ConfigurationManager

    Dim swConfig As SldWorks.Configuration

    Dim swCustPropMgr As SldWorks.CustomPropertyManager

    Dim retVal As Long




    Sub main()

    Set swApp = Application.SldWorks

    Set swModel = swApp.ActiveDoc

    Set swConfigMgr = swModel.ConfigurationManager

    Set swConfig = swConfigMgr.ActiveConfiguration

    Set swCustPropMgr = swConfig.CustomPropertyManager

    swModel.FileSummaryInfo

    ' Add custom property date to this configuration

    retVal = swCustPropMgr.Add2("Pippo ", swCustomInfoText, "Pluto")


    End Sub
    ------------------------

    Saluti

    flfn
    Ehilà, chi si rivede! Come ti passa, tutto bene?

  9. #9
    Utente Junior L'avatar di flfn
    Iscritto dal
    2008
    Messaggi
    87
    Professione
    progettista
    Regione
    veneto
    Software
    Solid Works-Ready Works-Rhinoceros-Mastercam

    Predefinito

    Ciao Enrico, andiamo abbastanza bene.

    Come vedi quando posso, do il mio piccolo contributo formativo...
    Ciao


  • Discussioni Simili

    1. COS E' UNA MACRO?
      Di &Marco& nel forum Solidworks
      Risposte: 7
      Ultimo Messaggio: 26-07-2010, 15: 33
    2. Aiuto Macro
      Di leom81 nel forum Microstation
      Risposte: 0
      Ultimo Messaggio: 10-02-2010, 12: 58
    3. Macro ???
      Di BOSCO '71 nel forum Solid Edge
      Risposte: 12
      Ultimo Messaggio: 28-08-2009, 23: 42
    4. help macro
      Di Taylor nel forum OneSpace Designer Modeling
      Risposte: 2
      Ultimo Messaggio: 30-07-2009, 10: 28
    5. RBE2 aiuto aiuto aiuto
      Di agi79 nel forum Creo Simulate (ex ProMechanica)
      Risposte: 12
      Ultimo Messaggio: 11-05-2009, 13: 30

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti